\version "2.18.0"

\include "../../lilypond-custom-includes/base_config.ly"

HEADER = \bookpart {
  \header {
    title = "Round and round"
    poet = "Worte und Weise: unbekannt"
    composer = " "
    categories = ""
    songinfo = "wasauchimmer"
  }
}

global = {
  %Takt
  \time 4/4
  %Tonart
  \key a \minor
}

firstVerse = \lyricmode {
  \set stanza = "1."
Round and round the earth is tur -- ning
tur -- ning al -- ways round to mor -- ning
and from mor -- ning round to night.
}

firstVoice = \relative c' {
  \global
  a4 a e' e
  d c8 (h) a4 a
  e' e a a
  g f8 (e) e4 e
  d h c d
  h a8 (g) a2
  \bar "|."
}

MUSIC = {
  <<
      \chords {
        a1:m g2 a1:m a2:m d2 a:m
        g2 f e:m a:m
      }
      \new ChoirStaff = "firstStaff"
      <<
        \new Voice = "firstVoice" { \firstVoice }
        \addlyrics { \firstVerse }
      >>
   >>
}

TEXT = \markuplist {
  \group-verses {
    \chordverse #"2."
    #"(Stro,a:m)phen(text,g)
(G,a:m)ras (ist,c) (grün,f)"
  }
}

% nur Output wenn noStandaloneOutput nicht gesetzt oder auf false steht
output = #(if isStandAlone
#{
  \bookpart {
    \HEADER

    \score {
      \MUSIC
      \layout { \generalLayout }
    }

    \TEXT

    \score {
      \unfoldRepeats \MUSIC
      \midi {
        \context {
          \Score
          % Tempo des midi files
          tempoWholesPerMinute = #(ly:make-moment 90 4)
        }
      }
    }


  }
#}
)

\book {
  \bookpart { \output }
}